List bots in a project

Returns a list of bots for the authenticated project. Results are paginated using cursor pagination.

Query Parameters
  • cursor
    Type: string

    Cursor for pagination

  • deduplication_key
    Type: string

    Filter bots by deduplication key

  • join_at_after
    Type: stringFormat: ISO 8601 datetime

    Only return bots with join_at after this time.

  • join_at_before
    Type: stringFormat: ISO 8601 datetime

    Only return bots with join_at before this time.

  • meeting_url
    Type: string

    Filter bots by meeting URL

  • states
    Type: array string[]enum

    Filter bots by state. Can specify multiple states.

    values
    • ready
    • joining
    • joined_not_recording
    • joined_recording
    • leaving
Headers
  • Authorization
    Type: string
    required

    API key for authentication

  • Content-Type
    Type: string
    required

    Should always be application/json

Responses
  • application/json
Request Example for get/api/v1/bots
curl 'https://app.attendee.dev/api/v1/bots?cursor=&deduplication_key=my-unique-bot-key&join_at_after=2024-01-18T12%3A34%3A56Z&join_at_before=2024-01-18T13%3A34%3A56Z&meeting_url=https%3A%2F%2Fzoom.us%2Fj%2F123456789&states=ready' \
  --header 'Authorization: Token YOUR_API_KEY_HERE' \
  --header 'Content-Type: application/json'
{
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
  "results": [
    {
      "id": "string",
      "metadata": {},
      "meeting_url": "string",
      "state": "ready",
      "events": [
        {
          "type": "string",
          "sub_type": null,
          "created_at": "2026-04-10T17:14:55.003Z"
        }
      ],
      "transcription_state": "not_started",
      "recording_state": "not_started",
      "join_at": "2026-04-10T17:14:55.003Z",
      "deduplication_key": "string"
    }
  ]
}